package com.huimv.receive.controller;


import com.huimv.receive.common.token.TokenSign;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.service.IBaseProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 流程表 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
@RestController
@RequestMapping("/base-process")
@CrossOrigin
public class BaseProcessController {

    @Autowired
    private IBaseProcessService processService;

    @PostMapping("/getOne")
    public Result page(HttpServletRequest httpServletRequest,@RequestBody Map<String,String> map) {
        Integer userId = TokenSign.getMemberIdByJwtToken(httpServletRequest);
        String farmId = map.get("farmId");
        String vistitType = map.get("vistitType");
        return processService.getOne(userId,farmId,vistitType);
    }


    @PostMapping("/getAll")
    public Result getAll(HttpServletRequest httpServletRequest,@RequestBody Map<String,String> map) {
        Integer userId = TokenSign.getMemberIdByJwtToken(httpServletRequest);
        String farmId = map.get("farmId");
        String vistitType = map.get("vistitType");
        return processService.getOne(userId,farmId,vistitType);
    }

}
